summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRalph Seichter <github@seichter.de>2020-04-17 10:11:27 +0200
committerJoonas Niilola <juippis@gentoo.org>2020-04-17 18:10:26 +0300
commit8ffb245eda33862649d974f0532594e9579477d6 (patch)
treed2e877a326dbb7724c4f34895b82ae8566f305e2 /www-servers/nginx-unit
parentdev-util/perf: drop old (diff)
downloadgentoo-8ffb245eda33862649d974f0532594e9579477d6.tar.gz
gentoo-8ffb245eda33862649d974f0532594e9579477d6.tar.bz2
gentoo-8ffb245eda33862649d974f0532594e9579477d6.zip
www-servers/nginx-unit: Bump to version 0.17.0
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Ralph Seichter <gentoo@seichter.de> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'www-servers/nginx-unit')
-rw-r--r--www-servers/nginx-unit/Manifest1
-rw-r--r--www-servers/nginx-unit/nginx-unit-1.17.0.ebuild79
2 files changed, 80 insertions, 0 deletions
diff --git a/www-servers/nginx-unit/Manifest b/www-servers/nginx-unit/Manifest
index c8e8072b978..c12fb1b495f 100644
--- a/www-servers/nginx-unit/Manifest
+++ b/www-servers/nginx-unit/Manifest
@@ -3,4 +3,5 @@ DIST nginx-unit-1.13.0.tar.gz 693159 BLAKE2B fd2e803188e66c16d5956f26e693c81273b
DIST nginx-unit-1.14.0.tar.gz 708603 BLAKE2B 482ab76a1eaef2943c0000c6dd2adf37aca285304b306e5b05d67e9cca30665269d11c1a585bd1a638d6811b8ee6370ef3cf682bebaf7165585cdaea51f3a5c8 SHA512 0cfe5364d427ff09d08c3b1b134827665f8bf70b8871f3c4506680e4c2d61249a53581122c42276b590f5eb077c398ae6a6c2fa46f24c680844b7d365f2ca66b
DIST nginx-unit-1.15.0.tar.gz 712284 BLAKE2B 8db45644a22a4043de660ed0dcb94957e6e9f26ee1735a0a053128b0995cfb670d9c52d7d64ffa2292818cc7aed79071fdd753186f010e1bd0fae876f886adff SHA512 3be17ba5290d323283e962a3a5b9c244c3c45302848b62fdad2fd92129e330c8783b4f76273dedc7b010ed71bd6a4bf1cc4085a3425288b1e28dc532e1a1bf5a
DIST nginx-unit-1.16.0.tar.gz 722942 BLAKE2B 3a749c508c93f6e6a28c7ddbe5238d9383c4f9d4b18c930eaaf5af114945611c008e51031ce35f734390cebb8962bf13decf921b3400854e7d3d2eb02c67e244 SHA512 cab77c7fba13b98584fd475fa3ea00dfa086d79d7aaab5802b1057983655c5e855c27970d19cd5f18ff2747caf33708819466d15eb56bd8868329bb5ca9b4184
+DIST nginx-unit-1.17.0.tar.gz 726928 BLAKE2B d171f2f818302cb0f491ccc3ca93596ee52817647cf1f2f176ebed075cb1dd5772f133d9e925075fe72d826a63b4c4debddace8784612196ebe6b6655d70571b SHA512 4175fc6dd84ad8a3bbdc117d3ce0c7a11c708a7a204ade0bb40f5606f6923e351bb1a8f1f8394c09cdf12fdc20bc927920412dc4b41d3141f76482db047c4bed
DIST nginx-unit-1.8.0.tar.gz 511226 BLAKE2B e396b27954840a5f1ad3a4cd9501a5e5fe769a754c51043da784a2c4596e6acc33089f495bf412a0db086e5c715a51292c7dece004a6512564421a431b6c339e SHA512 1d0ad05343ff70aff4c6e221a36c20df95fa2e2262ae5c69963a9bcb9ef883151e8a2fa9fef29f43ac5489aa5cbb3e9dfd10cf5e7f6d7a98742b490ebf3a0413
diff --git a/www-servers/nginx-unit/nginx-unit-1.17.0.ebuild b/www-servers/nginx-unit/nginx-unit-1.17.0.ebuild
new file mode 100644
index 00000000000..ac0c6c8fc95
--- /dev/null
+++ b/www-servers/nginx-unit/nginx-unit-1.17.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{6,7,8})
+
+inherit flag-o-matic python-single-r1 toolchain-funcs
+
+MY_P="unit-${PV}"
+DESCRIPTION="Dynamic web and application server"
+HOMEPAGE="https://unit.nginx.org"
+SRC_URI="https://unit.nginx.org/download/${MY_P}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+MY_USE="perl python ruby"
+MY_USE_PHP="php7-2 php7-3 php7-4"
+IUSE="${MY_USE} ${MY_USE_PHP} ssl"
+REQUIRED_USE="|| ( ${IUSE} )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+DEPEND="perl? ( dev-lang/perl:= )
+ php7-2? ( dev-lang/php:7.2[embed] )
+ php7-3? ( dev-lang/php:7.3[embed] )
+ php7-4? ( dev-lang/php:7.4[embed] )
+ python? ( ${PYTHON_DEPS} )
+ ruby? ( dev-lang/ruby:* )
+ ssl? ( dev-libs/openssl:0 )"
+RDEPEND="${DEPEND}"
+S="${WORKDIR}/${MY_P}"
+
+pkg_setup() {
+ use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ eapply_user
+ sed -i '/^CFLAGS/d' auto/make || die
+}
+
+src_configure() {
+ local opt=(
+ --control=unix:/run/${PN}.sock
+ --log=/var/log/${PN}
+ --modules=$(get_libdir)/${PN}
+ --pid=/run/${PN}.pid
+ --prefix=/usr
+ --state=/var/lib/${PN}
+ )
+ use ssl && opt+=( --openssl )
+ export AR="$(tc-getAR)"
+ export CC="$(tc-getCC)"
+ ./configure ${opt[@]} --ld-opt="${LDFLAGS}" || die "Core configuration failed"
+ # Modules require position-independent code
+ append-cflags $(test-flags-CC -fPIC)
+ for flag in ${MY_USE} ; do
+ if use ${flag} ; then
+ ./configure ${flag} || die "Module configuration failed: ${flag}"
+ fi
+ done
+ for flag in ${MY_USE_PHP} ; do
+ if use ${flag} ; then
+ local php_slot="/usr/$(get_libdir)/${flag/-/.}"
+ ./configure php \
+ --module=${flag} \
+ --config=${php_slot}/bin/php-config \
+ --lib-path=${php_slot}/$(get_libdir) || die "Module configuration failed: ${flag}"
+ fi
+ done
+}
+
+src_install() {
+ default
+ diropts -m 0770
+ keepdir /var/lib/${PN}
+ newinitd "${FILESDIR}/${PN}.initd" ${PN}
+}